Author: Antonio Cuni <[email protected]>
Branch: hpy
Changeset: r98101:ff086c2fef83
Date: 2019-11-18 01:32 +0100
http://bitbucket.org/pypy/pypy/changeset/ff086c2fef83/

Log:    add a script to update the _vendored directory from the hpy repo

diff --git a/pypy/module/hpy_universal/update_vendored.sh 
b/pypy/module/hpy_universal/update_vendored.sh
new file mode 100755
--- /dev/null
+++ b/pypy/module/hpy_universal/update_vendored.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -e
+
+if [ "$#" -ne 1 ]; then
+    echo "Usage: $0 /path/to/hpy"
+    exit 1
+fi
+
+DIR=$(dirname $0)
+VENDORED=$DIR/test/_vendored
+HPY=$1
+
+echo "status of the repo $HPY:"
+git -C "$HPY" --no-pager log --oneline -n 1
+git -C "$HPY" describe --abbrev --always --dirty
+
+cp -R "$HPY"/hpy-api/hpy_devel/include/* "$VENDORED/include"
+#cp $HPY/test/support.py $VENDORED/
+
_______________________________________________
pypy-commit mailing list
[email protected]
https://mail.python.org/mailman/listinfo/pypy-commit

Reply via email to